# Dynamic Text Parameters (Public Apps)

Dynamic text parameters included in public app profiles are rendered in the **context of an application page**. If you use a parameter unavailable on the current page, an empty string ("") will be rendered.

Parameters representing organization resources, such as the organization, units, services, service categories, etc., use the **translated text** for the current language.

### Organization&#x20;

* Organization Name: `{{organization.name}}`
* Organization Description: `{{organization.description}}`
* Organization Information: `{{organization.info}}`
* Organization Tagline: `{{organization.tagline}}`

### Unit

* Unit Name: `{{unit.name}}`
* Unit Description: `{{unit.description}}`
* Unit Tagline: `{{unit.tagline}}`
* Unit Information: `{{unit.info}}`&#x20;

### Service

* Service Name: `{{service.name}}`
* Service Description: `{{service.description}}`

### Service Category

* Service Category Name: `{{serviceCategory.name}}`
* Service Category Description: `{{serviceCategory.description}}`

### Service Type

* Service Type Name: `{{serviceType.name}}`
* Service Type Description: `{{serviceType.description}}`

### Phone Number

* Masked Phone Number (showing 4 digits): `{{mskedPhoneNumber}}`
* Masked Email (showing 4 letters): `{{maskedEmail}}`

### Field

Field data is available on pages showing individual fields (e.g., the Input Fields page).

* Field Name: `{{field.name}}`
* Field Description: `{{field.descripton}}`
* Field Question: `{{field.question}}`
* Field Validation Text: `{{field.validation}}`

### Case

Case details are available after a case is created or an appointment is checked-in.

* Case Id: `{{case.caseId}}`
* Ticket full number (including prefix and suffix): `{{case.ticket.fullNumber}}`
* Ticket prefix: `{{case.ticket.prefix}}`
* Ticket suffix: `{{case.ticket.suffix}}`&#x20;
* Ticket number: `{{case.ticket.number}}`
* Ticket URL: `{{case.ticket.url}}`
* Position in queue: `{{case.position}}`
* Field value: `{{case.fields.<fields-slug>}}` \
  For example: `{{case.fields.case-subject}}`
* Online Meeting URL: `{{case.onlineMeetingUrl}}`
* Customer name: `{{case.customerName}}`
* Appointment local date: `{{case.appointment.date}}`&#x20;
* Appointment local time:  `{{case.appointment.time}}`
* Appointment duration in minutes:  `{{case.appointment.duration}}`
* Appointment agent:  `{{case.appointment.agentName}}`
* Case date (the date the case was created): `{{case.date}}`
* Case time (the time the case was created): `{{case.time}}`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cubu.com/guides/admin-tools/localization-and-translation/dynamic-text-parameters-public-apps.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
